"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _utils = require("./utils");
var _default = exports["default"] = function _default(_ref) {
  var theme = _ref.theme,
    padding = _ref.padding;
  if (!padding) return "";
  if (Array.isArray(padding) && padding.length >= 1 && padding.length <= 4) {
    return "padding: " + (0, _utils.getDimensions)(theme, padding) + ";";
  }

  // eslint-disable-next-line no-console
  console.error("Please provide an array (max 4 elements) for `padding` style helper.");
  return "";
};